org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class WatchPropertyDescriptor

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.WatchPropertyDescriptor

Direct Known Subclasses:
  WatchPropertyDescriptor.ForExpression, WatchPropertyDescriptor.ForVariable

    public abstract class WatchPropertyDescriptor
    extends VariableBasedAction

A simple utility action to allow user see JavaScript property descriptors. Eclipse can't seem to have a proper UI to show both property value (main usecase) and property descriptor (rare usecase) in Variables/Expression views.

This action is enabled on object properties and builds JavaScript watch expression "Object.getOwnPropertyDescriptor(<object>, <propertyName>) that is hard to build manually every time.

User will have to manually remove old expressions.

### Nested Class Summary

Nested Classes
`static class` `WatchPropertyDescriptor.ForExpression`
`static class` `WatchPropertyDescriptor.ForVariable`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`VariableBasedAction.ElementHandler, VariableBasedAction.VariableWrapper`

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`EXPRESSION_VIEW_ELEMENT_HANDLER, VARIABLE_VIEW_ELEMENT_HANDLER`

### Constructor Summary

Constructors
`protected` `WatchPropertyDescriptor(VariableBasedAction.ElementHandler elementHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Runnable` `createRunnable(VariableBasedAction.VariableWrapper wrapper)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

`dispose, init, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WatchPropertyDescriptor

    protected WatchPropertyDescriptor(VariableBasedAction.ElementHandler elementHandler)

### Method Detail

#### createRunnable

    protected java.lang.Runnable createRunnable(VariableBasedAction.VariableWrapper wrapper)

Specified by:
  `createRunnable` in class `VariableBasedAction`